//Librairie pour gestion du ruban de leds
#include <PololuLedStrip.h>
#include <Wire.h>
#include <TimeLib.h>

// Déclaration du ruban de LEDs, et qu'il est branchcé sur le pin 12
PololuLedStrip<12> rubanLed;

#define Nombre_LEDs 14 //Le nombre de LEDs du ruban installé est 14.

rgb_color couleurs[Nombre_LEDs];

rgb_color couleur;

int intensite  = 255;



void setup() {
  for(int i=0; i<=13;i++){
            allumerLed(i,intensite,'l');
            
  }
}

void loop() {

}

void allumerLed(int numeroLed, int intensite, char couleur_voulue){
  
switch (couleur_voulue){ //Heure? Minutes? Secondes? En fonction de ça, la couleur de la LED sera différente
    case 'r' :
        couleur.red =intensite;
        couleur.green = 0;
        couleur.blue = 0;
        break;
    case 'v' :
        couleur.red =0;
        couleur.green = intensite;
        couleur.blue = 0;
        break;
    case 'b' :
        couleur.red =0;
        couleur.green = 0;
        couleur.blue = intensite;
        break;
    case 'w' :
        couleur.red = intensite;
        couleur.green = intensite;
        couleur.blue = intensite;
        break;
    case 'm' :
        couleur.red = intensite;
        couleur.green = intensite;
        couleur.blue = 0;
        break;
    case 'l' :
        couleur.red = intensite;
        couleur.green = 0;
        couleur.blue = intensite;
        break;
    case 'n' :
        couleur.red = 0;
        couleur.green = intensite;
        couleur.blue = intensite;
        break;
    default :
        break;
  }

  couleurs[numeroLed] = couleur;

  rubanLed.write(couleurs, Nombre_LEDs);
}

// Cette fonction éteint la LED dont le numéro est passé en argument
void eteindreLed(int numeroLed){
  couleur.red =0;
  couleur.green = 0;
  couleur.blue = 0;

  couleurs[numeroLed] = couleur;

  rubanLed.write(couleurs, Nombre_LEDs);
}
